Skip to main content
GET
/
api
/
v1
/
leads
/
analytics
/
users-revenue-kpi
cURL
curl --request GET \
  --url https://api.capedigital.co.ke/commercial/api/v1/leads/analytics/users-revenue-kpi \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "contact_person": "<string>",
  "contact_phone": "<string>",
  "contact_email": "jsmith@example.com",
  "lead_category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "products": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "status": "<string>",
  "node": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "reference": "<string>",
  "partner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Response

200 - application/json

Lead Serializer

id
string<uuid>
required
read-only
name
string
required

Lead company name

Maximum string length: 100
contact_person
string
required

Contact person name

Maximum string length: 100
contact_phone
string
required

Contact phone number

Maximum string length: 30
contact_email
string<email>
required

Contact email address

Maximum string length: 50
lead_category
string<uuid>
required
source
string<uuid>
required
products
string<uuid>[]
required
status
string
required
read-only

Lead status

node
string
required
read-only

Workflow Node

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
reference
string | null

Generated reference string

Maximum string length: 30
lead_type
enum<string>

Lead classification: individual or company

  • individual - Individual
  • company - Company
Available options:
individual,
company
gender
enum<string> | null

Gender of individual lead (only applicable when lead_type is individual)

  • male - Male
  • female - Female
Available options:
male,
female,
,
null
partner
string<uuid>